Page MenuHomePhabricator

Migrate wikimedia-iegreview to Differential
Closed, ResolvedPublic

Event Timeline

greg created this task.Apr 8 2016, 3:25 PM
greg added a comment.Jun 1 2016, 9:59 PM

@bd808 what are your must haves for this to progress?

Luke081515 added a subscriber: Luke081515.EditedJun 1 2016, 10:15 PM

My proposals:

  1. Create an owners package for that repo
  2. Add the folks to that package, who should at least review changes (one of them at least for a change)
  3. Create an herald rule, which blocks commits, which are not reviewed (you can exception per branch, or per commiter)
  4. Adjust push policy: Who should be able to push? If you don't want everyone to push changes, maybe only people of the packages maybe a good soluation.

remember: If you require at least one member of a package to review the patch, the package get's not added, if the author of the revision is an owner of that package (see https://secure.phabricator.com/T10939#176633), and: The package can get removed, so people with bad faith can commit actually anyway :-/ (if push policy is not adjusted, see above)

If you want, I'm happy to setup these condidtions, I just need the relevant data. (Owners etc)

greg added a comment.Jun 1 2016, 10:16 PM

@Luke081515 Thanks :) But that's actually an answer to a different question :)

I am more interested in things like CI needs. My mistake for being too quick and not being specific.

bd808 added a comment.Jun 2 2016, 1:59 AM

@Luke081515 Thanks :) But that's actually an answer to a different question :)
I am more interested in things like CI needs. My mistake for being too quick and not being specific.

Same as scholarships. It just needs to run composer test on patches and merges.

mmodell claimed this task.Jun 9 2016, 7:15 PM
mmodell raised the priority of this task from Normal to High.Jun 16 2016, 7:25 PM

Ok I got harbormaster CI set up for rWIEG wikimedia-iegreview: the most recent commit ran composer test successfully, see B604: rWIEGefa1a2c076ed: Add php_codesniffer to `composer test`

All that remains is to set the gerrit repo to read-only and start using differential for code reviews.

mmodell closed this task as Resolved.Jul 2 2016, 7:38 PM

rWIEG wikimedia-iegreview is now hosted in diffusion, mirrored to gerrit and the gerrit repository is locked. This way you can keep the old remote URI and deploy with trebuchet until this gets moved to scap3. Commits must be pushed to phabricator and reviews should go through differential. I added a .arcconfig in the repository so that arcanist will know what to do.

bd808 reopened this task as Open.Aug 25 2016, 5:10 PM

I added a .arcconfig in the repository so that arcanist will know what to do.

I'm not seeing an .arcconfig in the rWIEG repo.

@bd808: fixed. Apparently I had forgotten to push the commit.